import { Series } from "./Series";
import { IFastItemColumn$1 } from "igniteui-react-core/ES2015/IFastItemColumn$1";
import { IEnumerable, Type } from "igniteui-react-core/ES2015/type";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { IFastItemsSource } from "igniteui-react-core/ES2015/IFastItemsSource";
import { TriangulationStatusEventArgs } from "igniteui-react-core/ES2015/TriangulationStatusEventArgs";
import { Axis } from "./Axis";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { SeriesView } from "./SeriesView";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES2015/FastItemsSourceEventAction";
import { AxisRange } from "./AxisRange";
/**
 * @hidden
 */
export declare abstract class ScatterTriangulationSeries extends Series {
    static $t: Type;
    hn(): void;
    mr: string;
    mv: string;
    private l0;
    protected l6: IFastItemColumn$1<number>;
    private l1;
    protected l7: IFastItemColumn$1<number>;
    lt: NumericXAxis;
    lu: NumericYAxis;
    private l9;
    i7(a: boolean): void;
    private mz;
    private mx;
    private lw;
    triangulationStatusChanged: (sender: any, args: TriangulationStatusEventArgs) => void;
    private m0;
    protected l2(a: IFastItemsSource, b: string): IFastItemColumn$1<number>;
    protected is(a: any, b: string, c: any, d: any): void;
    mb(a: any): boolean;
    ma(a: any): boolean;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    private my;
    private mc;
    h4(): void;
    protected hs(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    an(a: Axis): AxisRange;
    protected jm(a: Rect, b: Rect): void;
    protected jl(a: Rect, b: Rect): void;
    trianglesSource: IEnumerable;
    l8: IFastItemsSource;
    mj: string;
    ml: string;
    mn: string;
    private lx;
    protected l3: IFastItemColumn$1<number>;
    private ly;
    protected l4: IFastItemColumn$1<number>;
    private lz;
    protected l5: IFastItemColumn$1<number>;
    protected get_c5(): boolean;
    static $$p: string[];
}
